Retrieve an activity log
curl --request GET \
--url https://api.getlago.com/api/v1/activity_logs/{activity_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getlago.com/api/v1/activity_logs/{activity_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getlago.com/api/v1/activity_logs/{activity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activity_log": {
"activity_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"activity_type": "billing_metric.created",
"activity_source": "api",
"resource_id": "5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba",
"resource_type": "BillableMetric",
"organization_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"logged_at": "2025-03-31T12:31:44Z",
"created_at": "2022-04-29T08:59:51Z",
"user_email": "dinesh@piedpiper.test",
"activity_object": {
"lago_id": "dad68bc7-c01a-4ad8-a87b-13e78693a5bc",
"plan_id": "b9155544-e261-4e92-b54e-f65d7609294c"
},
"activity_object_changes": {
"plan_id": [
null,
"b9155544-e261-4e92-b54e-f65d7609294c"
]
},
"external_customer_id": "5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba",
"external_subscription_id": "external_id"
}
}{
"status": 401,
"error": "Unauthorized"
}{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}Audit logs
Retrieve an activity log
This endpoint retrieves an existing activity log that represents an action performed on some resource. The activity log is identified by its unique activity_id.
GET
/
activity_logs
/
{activity_id}
Retrieve an activity log
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Activity Id of the existing activity log.
Example:
"bdc0eda6-ea52-4f72-a46a-94f47a89b546"
Response
Activity Log
Show child attributes
Show child attributes
⌘I